# Vibration.Destination.EntityDestination (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit, class: Vibration, interface: Destination, class: EntityDestination

Package org.bukkit

# Class Vibration.Destination.EntityDestination

java.lang.Object
org.bukkit.Vibration.Destination.EntityDestination

All Implemented Interfaces:
  `Vibration.Destination`

Enclosing interface:
  Vibration.Destination

public static class Vibration.Destination.EntityDestination extends Object implements Vibration.Destination

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.Vibration.Destination

`Vibration.Destination.BlockDestination, Vibration.Destination.EntityDestination`

## Constructor Summary

Constructors
Constructor
Description
`EntityDestination(@NotNull Entity entity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityDestination

public EntityDestination(@NotNull @NotNull Entity entity)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()